Skip to main content

Update Workspace

PATCH https://api.repoflow.io/1/workspaces/<workspace-ref>

Update an existing workspace. You can update one or more fields.

At least one of the following must be provided: packageLimit, bandwidthLimit, storageLimit, aiUsageLimit, comments.

Allowed Role: System Admin • Authentication Required

Path Parameters

workspace-refstringRequired

Workspace ID or name.

Body

packageLimitnumber | nullOptional

Maximum packages allowed (null for no limit).

bandwidthLimitnumber | nullOptional

Bandwidth limit in bytes (null for no limit).

storageLimitnumber | nullOptional

Storage limit in bytes (null for no limit).

aiUsageLimitnumber | nullOptional

AI usage limit (null for no limit).

commentsstring | nullOptional

Optional notes about the workspace (max 80 characters).